"""
 mbed CMSIS-DAP debugger
 Copyright (c) 2006-2013 ARM Limited

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
"""

from target_kinetis import Kinetis
import logging


class K22F(Kinetis):

    # 512kB flash with 2kB sectors, 128kB RAM
    memoryMapXML =  """<?xml version="1.0"?>
<!DOCTYPE memory-map PUBLIC "+//IDN gnu.org//DTD GDB Memory Map V1.0//EN" "http://sourceware.org/gdb/gdb-memory-map.dtd">
<memory-map>
    <memory type="flash" start="0x0" length="0x80000"> <property name="blocksize">0x800</property></memory>
    <memory type="ram" start="0x1fff0000" length="0x20000"> </memory>
</memory-map>
"""
    
    def __init__(self, transport):
        super(K22F, self).__init__(transport)
        self.auto_increment_page_size = 0x400
        self.mdm_idr = 0x001c0000
        
